#include "pitches.h"

int melody[] = {NOTE_G4, NOTE_E4, NOTE_E4, NOTE_F4, NOTE_D4, NOTE_D4, NOTE_C4, NOTE_D4, NOTE_E4, NOTE_F4, NOTE_G4, NOTE_G4, NOTE_G4,
                NOTE_G4, NOTE_E4, NOTE_E4, NOTE_E4, NOTE_F4, NOTE_D4, NOTE_D4, NOTE_C4, NOTE_E4, NOTE_G4, NOTE_G4, NOTE_E4, NOTE_E4, NOTE_E4,
                NOTE_D4, NOTE_D4, NOTE_D4, NOTE_D4, NOTE_D4, NOTE_E4, NOTE_F4, NOTE_E4, NOTE_E4, NOTE_E4, NOTE_E4, NOTE_E4, NOTE_F4, NOTE_G4,
                NOTE_G4, NOTE_E4, NOTE_E4, NOTE_F4, NOTE_D4, NOTE_D4, NOTE_C4, NOTE_E4, NOTE_G4, NOTE_E4, NOTE_D4, NOTE_E4, NOTE_C4
};	// 멜로디를 배열로 저장함
int noteDurations[] = {4,4,2,4,4,2,4,4,4,4,4,4,2,
                       4,4,4,4,4,4,2,4,4,4,4,4,4,2,
                       4,4,4,4,4,4,2,4,4,4,4,4,4,2,
                       4,4,2,4,4,2,4,4,4,4,4,4,2

};		//해당 음의 박자 수		

void setup() {
  for (int thisNote = 0; thisNote <54 ; thisNote++) {    
    int noteDuration = 1000/noteDurations[thisNote];  // 박자 시간 변환 
    tone(9, melody[thisNote],noteDuration);     
    int pauseBetweenNotes = noteDuration * 1.30 ; // 음 길이를 계산   
    delay(pauseBetweenNotes);
     noTone(9);           // 음 출력 중지
  } 
}

void loop() {
 
}
